> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task URLs

> **Required plan:** Professional or Enterprise.

Update the URLs in a task with a URL file link.



## OpenAPI

````yaml /en/api/openapi.json post /task/urls:file
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /task/urls:file:
    post:
      tags:
        - Task
      summary: Update Task URLs
      description: |-
        **Required plan:** Professional or Enterprise.

        Update the URLs in a task with a URL file link.
      operationId: updateTaskUrls
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - taskId
                - file
              properties:
                taskId:
                  type: string
                file:
                  type: string
                  format: binary
                  description: A file containing URLs (one per line)
      responses:
        '200':
          description: Task URLs updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````